#195 crashing when I apply an effect

uncategorised
closed
nobody
None
5
2016-03-30
2013-08-31
pixel
No

I start LiVES, load a set, start to play and it works until I apply an effect, the program crashes with the following message:

GdkPixbuf Critical error: gdk_pixbuf_new_from_data: assertion data != NULL' failed GdkPixbuf Critical error: gdk_pixbuf_get_pixels: assertionGDK_IS_PIXBUF (pixbuf)' failed
GdkPixbuf Critical error: gdk_pixbuf_get_rowstride: assertion GDK_IS_PIXBUF (pixbuf)' failed GdkPixbuf Critical error: gdk_pixbuf_scale_simple: assertionGDK_IS_PIXBUF (src)' failed
GLib-GObject Critical error: g_object_unref: assertion `G_IS_OBJECT (object)' failed

First, it was with RGB delay. I've chanced the effect to Blurzoom, but got the same problem.

I'm using the official LiVES package for Ubuntu 13.04 (the version is 1.8.2).

Related

Bugs: #195

Discussion

  • Salsaman

    Salsaman - 2013-08-31

    Hmmm...try this:

    export G_DEBUG=

    before starting LiVES.

    http://lives.sourceforge.net
    https://www.ohloh.net/accounts/salsaman

    On Sat, Aug 31, 2013 at 4:20 PM, pixel vjpixel@users.sf.net wrote:


    Status: open
    Created: Sat Aug 31, 2013 07:20 PM UTC by pixel
    Last Updated: Sat Aug 31, 2013 07:20 PM UTC
    Owner: nobody

    I start LiVES, load a set, start to play and it works until I apply an
    effect, the program crashes with the following message:

    GdkPixbuf Critical error: gdk_pixbuf_new_from_data: assertion data !=
    NULL' failed GdkPixbuf Critical error: gdk_pixbuf_get_pixels: assertionGDK_IS_PIXBUF
    (pixbuf)' failed
    GdkPixbuf Critical error: gdk_pixbuf_get_rowstride: assertion GDK_IS_PIXBUF
    (pixbuf)' failed GdkPixbuf Critical error: gdk_pixbuf_scale_simple:
    assertionGDK_IS_PIXBUF (src)' failed
    GLib-GObject Critical error: g_object_unref: assertion `G_IS_OBJECT
    (object)' failed

    First, it was with RGB delay. I've chanced the effect to Blurzoom, but got
    the same problem.

    I'm using the official LiVES package for Ubuntu 13.04 (the version is
    1.8.2).


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/lives/bugs/195/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #195

  • pixel

    pixel - 2013-09-07

    it's working fine in 1.0.6-svn. but if you want, I can try do debug 1.8.2.

    you think it's necessary to debug?

     
  • Salsaman

    Salsaman - 2013-09-08

    If it is fixed in the current version then there doesn't seem much point
    debugging it.

    Gabriel.

    http://lives.sourceforge.net
    https://www.ohloh.net/accounts/salsaman

    On Sat, Sep 7, 2013 at 12:03 PM, pixel vjpixel@users.sf.net wrote:

    it's working fine in 1.0.6-svn. but if you want, I can try do debug 1.8.2.

    you think it's necessary to debug?

    Status: open
    Created: Sat Aug 31, 2013 07:20 PM UTC by pixel
    Last Updated: Sat Aug 31, 2013 07:20 PM UTC
    Owner: nobody

    I start LiVES, load a set, start to play and it works until I apply an
    effect, the program crashes with the following message:

    GdkPixbuf Critical error: gdk_pixbuf_new_from_data: assertion data !=
    NULL' failed GdkPixbuf Critical error: gdk_pixbuf_get_pixels: assertionGDK_IS_PIXBUF
    (pixbuf)' failed
    GdkPixbuf Critical error: gdk_pixbuf_get_rowstride: assertion GDK_IS_PIXBUF
    (pixbuf)' failed GdkPixbuf Critical error: gdk_pixbuf_scale_simple:
    assertionGDK_IS_PIXBUF (src)' failed
    GLib-GObject Critical error: g_object_unref: assertion `G_IS_OBJECT
    (object)' failed

    First, it was with RGB delay. I've chanced the effect to Blurzoom, but got
    the same problem.

    I'm using the official LiVES package for Ubuntu 13.04 (the version is
    1.8.2).


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/lives/bugs/195/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #195

  • Salsaman

    Salsaman - 2016-03-30
    • status: open --> closed
     
  • Salsaman

    Salsaman - 2016-03-30

    Closing as fixed.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks